#!/bin/bash
#$ -S /bin/sh

module load R/3.6.0/gnu/4.8.5

echo beginning to run script for risk analysis
# -----
## read configuration files, assign all parameters and file paths

source /home/dottofr/flood_impacts/scripts/config_files/config_paths.txt             # roots of working directories

 v1=$script_dir		#read from configuration file 
 v2=$maps_sh_dir	#read from configuration file
 v3=Model		# passed from main file using sed command
 v4=$main_dir		#read from configuration file 

######
echo read all lists of parameters used to run sensitivity analysis
 PLevS=`cat  $script_dir/config_files/listPLevels.txt`  # uncertainty on protection standards
echo  -----

for ProtLev in $PLevS ; do      
#   ProtLev="050"  	# use to run a single scenario
echo running sensitivity analysis for  ${ProtLev} % of average protection standards 

######
echo run risk analysis
echo  -----
   time Rscript ${v1}/templates/05_risk_analysis.r ${v3} ${v4} ${ProtLev}

echo run risk analysis with projections
echo  -----
#  time Rscript ${v1}/templates/05b_risk_prj_analysis.r ${v1} ${v4} ${ProtLev}

echo calculate ensemble averages
echo  -----
#  time Rscript ${v1}/templates/05d_ensemble_avg.r ${v1} ${v4} ${ProtLev}

done
echo script 05_run_RiskAnalysis.sh ended

