#!/bin/bash
#$ -S /bin/sh

module load R/3.6.0/gnu/4.8.5

echo beginning to run script for risk adaptation
# -----
## read configuration files, assign all parameters and file paths

source /home/dottofr/flood_impacts/scripts/config_files/config_paths.txt             # roots of working directories

 v1=$script_dir		#read from configuration file 
 v2=$maps_sh_dir	#read from configuration file
 v3=Model		# passed from main file using sed command
 v4=$main_dir		#read from configuration file 
 
######
echo read all lists of parameters used to run sensitivity analysis
 PLevS=`cat  $script_dir/config_files/listPLevels.txt`  # uncertainty on protection standards
 WLevS=`cat  $script_dir/config_files/listWLevels.txt`  # warming levels  
 DLevS=`cat  $script_dir/config_files/listDLevels_test.txt`  # uncertainty on economic damage   
 CLevS=`cat  $script_dir/config_files/listCLevels.txt`  # uncertainty on adaptatio costs
echo  -----

for WarmLev in $WLevS ; do      
#  WarmLev="2C"  	# use to run a single scenario
echo - running sensitivity analysis for warming level ${WarmLev} % 
   for ProtLev in $PLevS ; do      
#    ProtLev="050"  	# use to run a single scenario
echo - running sensitivity analysis for  ${ProtLev} % of average protection standards 

echo - run script 06 - risk adaptation scenarios with protection increases
echo  -----
#	time Rscript ${v1}/templates/06_adaptation_scenarios.r ${v3} ${v4} ${WarmLev} ${ProtLev} 

echo - run script 06b risk adaptation scenarios with socio-economic projections
echo  -----
# 	time Rscript ${v1}/templates/06b_risk_prj_analysis.r ${v3} ${v4} ${WarmLev} ${ProtLev} 

 	for DamLev in $DLevS ; do      
#  	DamLev="q05"  	# use to run a single scenario
echo - running sensitivity analysis for the ${DamLev} quantile of economic damage % 
echo  -----
   	  for CostLev in $CLevS ; do      
#    	  CostLev="q75"  	# use to run a single scenario
echo - running sensitivity analysis for the ${CostLev} quantile of adaptation cost %  
echo  -----

echo - run script 06c - cost-benefit analysis for storage areas
echo  -----
 	    time Rscript ${v1}/templates/06c_ad_storage.r ${v3} ${v4} ${WarmLev} ${ProtLev} ${DamLev} ${CostLev} ${v1}

echo - run script 0d - cost-benefit analysis for relocation
echo  -----
refp="RE"
  	    time Rscript ${v1}/templates/06d_ad_relocation_proofing.r ${v3} ${v4} ${WarmLev} ${ProtLev} ${DamLev} ${CostLev} ${refp}

echo - run script 06d -cost-benefit analysis for flood proofing
echo  -----
refp="FP"
  	    time Rscript ${v1}/templates/06d_ad_relocation_proofing.r ${v3} ${v4} ${WarmLev} ${ProtLev} ${DamLev} ${CostLev} ${refp}


echo - run script 06e - cost-benefit analysis for dikes heightening
echo  -----
 	    time Rscript ${v1}/templates/06e_ad_dikes.r  ${v3} ${v4} ${WarmLev} ${ProtLev} ${DamLev} ${CostLev} ${v1}

 	 done
      done
   done 
 done 
echo - script 06_run_RiskAdaptation.sh ended

