#!/bin/bash
#$ -S /bin/sh

module load R/3.6.0/gnu/4.8.5

echo beginning to run script for aggregating risk and optimal adaptation
# -----
## read configuration files, assign all parameters and file paths

source /home/dottofr/flood_impacts/scripts/config_files/config_paths.txt             # roots of working directories

 v1=$script_dir		#read from configuration file 
 v2=$maps_sh_dir	#read from configuration file
 v3=Model		# passed from main file using sed commandd
 v4=$main_dir		#read from configuration file 
 
######
echo read all lists of parameters used to run sensitivity analysis
 PLevS=`cat  $script_dir/config_files/listPLevels.txt`  # uncertainty on protection standards
 WLevS=`cat  $script_dir/config_files/listWLevels.txt`  # warming levels  
 DLevS=`cat  $script_dir/config_files/listDLevels_test.txt`  # uncertainty on economic damage   
 CLevS=`cat  $script_dir/config_files/listCLevels.txt`  # uncertainty on adaptatio costs
 AdStS=`cat  $script_dir/config_files/listAdStrategies.txt`  # list of adaptation strategies considered
echo  -----

 for ProtLev in $PLevS ; do      
#  ProtLev="050"  	# use to run a single scenario
echo aggregating results for protection level ${ProtLev} %  


## NOTE: PROBABLY NOT NEEDED NOW
echo run aggregation of results of no-adaptation scenarios
echo  -----
# time Rscript ${v1}/templates/07a_risk_aggregation_na.r ${v4} ${WarmLev} ${ProtLev} 

 for DamLev in $DLevS ; do      
#    DamLev="q05"  	# use to run a single scenario
echo aggregating results for damage level ${DamLev} % 
echo  -----

echo run aggregation of resaults of adaptation scenarios at all warming levels
echo  -----
     time Rscript ${v1}/templates/07b_risk_aggregation_ad.r ${v4} ${ProtLev} ${DamLev}
echo run calculation of optimal adaptation scenarios

   for CostLev in $CLevS ; do      
#      CostLev="q75"  	# use to run a single scenario
echo aggregating results for adaptation cost ${CostLev} %  
echo  -----

     for WarmLev in $WLevS ; do      
#  	WarmLev="2C"  	# use to run a single scenario
echo aggregating results for warming level ${WarmLev} % 
echo  -----
     	for AdSt in $AdStS ; do      
#  	  AdSt="FP"  	# use to run a single scenario
echo aggregating results for adaptation strategy ${AdSt} % 

echo run aggregation of resaults of adaptation scenarios
echo  -----
 	   time Rscript ${v1}/templates/07c_optimal_adaptation.r ${v4} ${WarmLev} ${ProtLev} ${DamLev} ${CostLev} ${AdSt}

 	   done
 	 done
      done
   done 
 done 

echo run script to produce graphs and tables
echo  -----
## NOTE - this script can also be run locally
# 	   time Rscript ${v1}/templates/07e_graphs_v2.r ${v4}

echo script 07_runAdaptation.sh ended



