## mod F.D. 1/2022

## compare modelled and reported flood losses (Figure S3 of Supplement)
## modified after ISIMIP scripts
##########################

library(ggplot2)
# library(raster)

qualityFig<-3
#####################################

#workDir=('//ies.jrc.it/H07/climateRun4/HELIX/ISIMIP')
#figDir=('//ies.jrc.it/H07/climateRun4/HELIX/ISIMIP/scripts/figures')
workDir=('//ies.jrc.it/H07/nahaUsers/dottofr/flood_impacts/PESETA_IV_data/ensemble_results/v2_tables_SA_countries')
figDir=('//ies.jrc.it/H07/nahaUsers/dottofr/flood_impacts/PESETA_IV_data/ensemble_results')

#########################################################################
# expected damages (country and models)
data_val<-read.csv(paste(workDir,"/results_SA_countries_ead_validation.csv",sep=""))

mod_ref<-data_val[,"fp100_edq50"]  
rep_avg<-data_val[,"REP_Average"]
# rep_avg<-apply(data_val[,18:23],1,mean,na.rm=TRUE) # mean of reported losses
#mod_min<-data_val[,"MOD_Q1"]
mod_min<-data_val[,"MOD_MIN"]
rep_min<-data_val[,"REP_MIN"]
#mod_max<-data_val[,"MOD_Q3"]
mod_max<-data_val[,"MOD_MAX"]
rep_max<-data_val[,"REP_MAX"]


###########################################################################################################
## Figures 

Country_ExpDam<-data.frame(data_val[,"Country_red"],mod_min,mod_max,mod_ref,rep_min,rep_max,rep_avg)
colnames(Country_ExpDam)[1]<-"Country"

nC<-dim(Country_ExpDam)
MaxNameLength=14
# Country_short<-as.character(Country_ExpDam_Rel$country)
Country_short<-as.character(Country_ExpDam$Country)
for (k in 1:nC){
  if (nchar(as.character(Country_short[k]))>MaxNameLength){
    Country_short[k]<-paste0(substr(Country_short[k],1,MaxNameLength-1),".")
  } 
}

# NC<-20
NC<-length(Country_short)
j2<-sort.list((Country_ExpDam$mod_max),decreasing = TRUE)[1:NC]
MAXY1<-format(max(c(((Country_ExpDam$mod_max))[j2],((Country_ExpDam$rep_max))[j2]),na.rm=TRUE),digits=1)
# MAXY1<-50    #Hardcoded - Be careful!!!!
LWDmean<-2
png(filename = paste0(figDir,"/ExpDam_validation_v4.png"), width = (500*qualityFig), height = (800*qualityFig), res=(100*qualityFig))
par(mar=c(5,6.5,2,1),ps=c(12))
# dimensionamento area del grafico (with-without log scale)
#plot(c(0, MAXY1), c(1,NC), yaxt="n", type = "n", xlab = expression("Expected Damage [M \u20ac/year]"), ylab = "")#,log="x")
plot(c(1, MAXY1), c(1,NC), yaxt="n", type = "n", xlab = expression("Expected Damage [M \u20ac/year]"), ylab = "",log="x")
i<-NC:1

axis(2, at=i,labels=(Country_short)[j2],srt = 45,las=2)
text(y=i,x=-(as.numeric(MAXY1)/20),labels = (Country_short)[j2], srt = 45, pos = 2, xpd = TRUE) #par("usr")[1], 
# disegno dei rettangoli nel grafico
rect((Country_ExpDam$mod_min)[j2],i-0.4, (Country_ExpDam$mod_max)[j2],i-0.2, col ="gray90",border = NA)
rect((Country_ExpDam$rep_min)[j2],i-0.2, (Country_ExpDam$rep_max)[j2],i, col ="green",border = NA)
rect((Country_ExpDam$mod_ref)[j2],i-0.4, (Country_ExpDam$mod_ref)[j2],i-0.2, col ="gray90",lwd=LWDmean)
rect((Country_ExpDam$rep_avg)[j2],i-0.2, (Country_ExpDam$rep_avg)[j2],i, col ="green",lwd=LWDmean)
grid(ny=NA,nx=NULL)
barplot(c(NA,NA,NA,NA),add=TRUE,axes=FALSE,col=c("gray90","green"),legend.text=c("modelled",expression("reported")),args.legend=list(x="bottomright",y=3.5,y.intersp = 1.4,bty="n",yjust=0.8))
dev.off()





